NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_normalizepath(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_normalizepath - Normalize a path

## Table Of Contents

## Synopsis

- ns_normalizepath path

## Description

ns_normalizepath removes any extraneous slashes from the path and resolves "." and ".." references.

For example: [ns_normalizepath /dog/cat/../.. /rat/../../dog//mouse/..] returns: /dog

## COMMANDS

ns_normalizepath path

## See Also

nsd

## Keywords

Tcl file normalize